const app = require('../../utils/util.js');
const tool = require('../../utils/tool.js');
Page({
  data: {
    avatarUrl: '../../images/morenImg.png',
    tabArr: [{
        name: '我的信息',
        img: '../../images/icon1.jpg',
        url: '/pages/InfoType/InfoType'
      }, {
        name: '我的活动',
        img: '../../images/icon6.jpg',
        url: '/pages/myActive/myActive'
      }, {
        name: '心动0次',
        img: '../../images/icon3.jpg'
      }, {
        name: '被心动0次',
        img: '../../images/icon7.jpg',
        url: ''
      },
      {
        name: '推荐好友',
        img: '../../images/icon5.jpg',
        url: '/pages/share/share'
      }
    ]
  },
  goTab(e) {
    console.log(e.currentTarget.dataset.index)
    if (e.currentTarget.dataset.index == 0 || e.currentTarget.dataset.index == 1) {
      if (this.data.loginStatus) {
        wx.navigateTo({
          url: e.currentTarget.dataset.src
        })
      } else {
        wx.showModal({
          title: '您还未登录',
          showCancel: false
        });
      }
    }if (e.currentTarget.dataset.index == 4){
      wx.navigateTo({
        url: '/pages/share/share'
      })
    }
  },
  goIndex() {
    wx.redirectTo({
      url: '/pages/index/index',
    })
  },
  bindGetUserInfo: function (e) {
    console.log(e.detail.userInfo)
    this.setData({
      nick: e.detail.userInfo.nickName,
      avatarUrl: e.detail.userInfo.avatarUrl,
      loginStatus: true
    })
    this.upload(e.detail.userInfo.nickName, e.detail.userInfo.avatarUrl);
  },
  upload(nickName, avatar) {
    const form = {
      nickName: nickName,
      avatar: avatar
    }
    wx.request({
      url: app.globalData.publicUrl + '/wx/member/' + this.data.openid + '/info',
      method: "POST",
      header: {
        'content-type': 'application/x-www-form-urlencoded',
      },
      data: form,
      success: (res) => {
        console.log(res)
        if (res.data.code == 0) {
          console.log('上传头像昵称成功')
        }
      }
    })
  },
  getTimes() {
    let myHeartTimes = 'tabArr[2].name'
    wx.request({
      url: app.globalData.publicUrl + '/wx/actives/' + this.data.openid + '/0/myHearts',
      method: "get",
      success: (res) => {
        if (res.data.code == 0) {
          this.setData({
            [myHeartTimes]: '心动' + res.data.heartCount + '次'
          })
        }
        console.log(this.data.tabArr[2].name)
      }
    })
    let myHeartedTimes = 'tabArr[3].name'
    wx.request({
      url: app.globalData.publicUrl + '/wx/actives/' + this.data.openid + '/0/myHearted',
      method: "get",
      success: (res) => {
        if (res.data.code == 0) {
          this.setData({
            [myHeartedTimes]: '被心动' + res.data.heartedCount + '次'
          })
          console.log(this.data.tabArr[3].name)
        }
      }
    })
  },
  getInfos() {
    tool.isLogin().then(res => {
      this.setData({
        avatarUrl: res.userInfo.avatarUrl,
        nick: res.userInfo.nickName,
        loginStatus: true
      })
    }).catch(err => {
      this.setData({
        loginStatus: false
      })
    })
  },
  async onShow() {
    tool.openidStatus().then(result => {
      this.setData({
        openid: result[0],
        sessionkey: result[1]
      })
      this.getInfos();
      this.getTimes();
    })
  }
})